Get a table
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/tables/{tId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Roi data",
"title": "ROI Data",
"table_id": "1234f4567c",
"description": "roi data for Q1",
"mime_type": "text/csv",
"schema": [
{
"name": "roi",
"value_type": "int",
"possible_values": [
"1",
"2",
"3"
]
}
],
"timestamp": 1732810375150,
"tags": [
"<string>"
],
"parent_id": "1234f4567c",
"parents": [
"1234f4567c"
]
}Datasources
Get a table
Get a table in the data source identified by in the workspace identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
spaces
/
{spaceId}
/
data_sources
/
{dsId}
/
tables
/
{tId}
Get a table
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Unique string identifier for the workspace
ID of the space
ID of the data source
ID of the table
Response
The table
Name of the table
Example:
"Roi data"
Title of the table
Example:
"ROI Data"
Unique identifier for the table
Example:
"1234f4567c"
Description of the table
Example:
"roi data for Q1"
MIME type of the table
Example:
"text/csv"
Array of column definitions
Show child attributes
Show child attributes
Unix timestamp of table creation/modification
Example:
1732810375150
Array of tags associated with the table
ID of the table parent
Example:
"1234f4567c"
Array of parent table IDs
Example:
["1234f4567c"]